<div class="input-group" (click)="changeView()" (dblclick)="routeDetail()">

  <div class="input-group-prepend">
    <div class="input-group-text text-light" [style.background-color]="task.type?.color" fxLayout="column">

      <div class="firstRow" fxLayoutAlign="center center">
        <span class="issueText">{{task?.type?.name}}</span>
      </div>

      <div *ngIf="task.container?.format" [class]="'secondRow ' + isClosed" fxLayout="column"
           fxLayoutAlign="end center">
        <span style="margin: 0">Format</span>
        <div class="divider"></div>
        <span style="margin: 0">{{task?.container?.format}}</span>
      </div>

    </div>
  </div>

  <div class="form-control" style="height: auto">

    <div class="firstRow" fxLayout="row" fxLayoutAlign="start center">
      <span fxFlex>{{task.title}}</span>

      <div *ngIf="task._id" class="dividerH"></div>
      <span *ngIf="task._id" [class]="'userText ' + isClosed">{{task.assignee?.username}}</span>
      <div *ngIf="task._id" class="iconHolder">
        <img alt="RaaM Logo" src="../assets/RaaM.svg">
      </div>
      <span *ngIf="!task._id" class="raamHintText bigText">{{task.estimatedPoints}}</span>

    </div>

    <div [class]="'secondRow ' + isClosed" fxLayout="row">
      <span class="description" fxFlex>{{task.description}}</span>

      <div *ngIf="task._id" class="subTextHolder" fxLayout="column">
        <span class="userText">Points: {{task.estimatedPoints}}</span>
        <span class="userText">Spend: {{createReadableTime()}}</span>
        <div fxFlex></div>
        <button class="btn btn-sm btn-outline-primary" (click)="routeDetail()">See</button>
      </div>

    </div>
  </div>
</div>
